Package ru.bitel.bgbilling.plugins.bonus.server

# Class PluginServerListener

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.server.WebMenuBase
ru.bitel.bgbilling.plugins.bonus.server.PluginServerListener

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`, `ru.bitel.bgbilling.server.WebMenu`

public class PluginServerListener extends ru.bitel.bgbilling.server.WebMenuBase implements ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginServerListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MenuItem>`
  `getContractWebMenuItems(Connection con, String module, int moduleId, int contractId)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx)`
  `void`
  `onDestroyServer(String applicationName)`
  `void`
  `onInitServer(String applicationName)`
  `void`
  `serializeContract(Connection con, int cid, XMLStreamWriter writer, boolean onlyCurrent)`

  ### Methods inherited from class ru.bitel.bgbilling.server.WebMenuBase

  `disableContractWebMenuItems, getWebMenuItems, getWebMenuItems`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginServerListener

    public PluginServerListener()

- ## Method Details

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`

  - ### onInitServer

    public void onInitServer(String applicationName)
    Specified by:
      `onInitServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`

  - ### onDestroyServer

    public void onDestroyServer(String applicationName)
    Specified by:
      `onDestroyServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnDestroyServer`

  - ### serializeContract

    public void serializeContract(Connection con, int cid, XMLStreamWriter writer, boolean onlyCurrent) throws SQLException, XMLStreamException
    Specified by:
      `serializeContract` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
    Throws:
      `SQLException`
      `XMLStreamException`

  - ### getContractWebMenuItems

    public List<MenuItem> getContractWebMenuItems(Connection con, String module, int moduleId, int contractId) throws Exception
    Specified by:
      `getContractWebMenuItems` in interface `ru.bitel.bgbilling.server.WebMenu`
    Overrides:
      `getContractWebMenuItems` in class `ru.bitel.bgbilling.server.WebMenuBase`
    Throws:
      `Exception`